### Hierarchy

- ExecOutputReturnValue
  - ShellReturnValue

## Index

### Properties

- code
- stderr
- stdout

### Methods

- cat
- exec
- grep
- sed
- to
- toEnd

## Properties

### code

code: number

Inherited from ExecOutputReturnValue.code

- Defined in node_modules/@types/shelljs/index.d.ts:368

### stderr

stderr: string

Inherited from ExecOutputReturnValue.stderr

- Defined in node_modules/@types/shelljs/index.d.ts:370

### stdout

stdout: string

Inherited from ExecOutputReturnValue.stdout

- Defined in node_modules/@types/shelljs/index.d.ts:369

## Methods

### cat

- cat(...files: string[]): ShellString

- - Defined in node_modules/@types/shelljs/index.d.ts:386

  #### Parameters

  - ##### Rest ...files: string[]

  #### Returns ShellString

### exec

- exec(callback: ExecCallback): ChildProcess
- exec(): ExecOutputReturnValue

- - Defined in node_modules/@types/shelljs/index.d.ts:387

  #### Parameters

  - ##### callback: ExecCallback

  #### Returns ChildProcess

- - Defined in node_modules/@types/shelljs/index.d.ts:388

  #### Returns ExecOutputReturnValue

### grep

- grep(...files: Array<string | string[]>): ShellString

- - Defined in node_modules/@types/shelljs/index.d.ts:389

  #### Parameters

  - ##### Rest ...files: Array<string | string[]>

  #### Returns ShellString

### sed

- sed(replacement: string, file: string): ShellString

- - Defined in node_modules/@types/shelljs/index.d.ts:390

  #### Parameters

  - ##### replacement: string

  - ##### file: string

  #### Returns ShellString

### to

- to(file: string): void

- - Defined in node_modules/@types/shelljs/index.d.ts:378

  Analogous to the redirection operator > in Unix, but works with JavaScript strings (such as those returned by cat, grep, etc). Like Unix redirections, to() will overwrite any existing file!

  #### Parameters

  - ##### file: string

    The file to use.

  #### Returns void

### toEnd

- toEnd(file: string): void

- - Defined in node_modules/@types/shelljs/index.d.ts:384

  Analogous to the redirect-and-append operator >> in Unix, but works with JavaScript strings (such as those returned by cat, grep, etc).

  #### Parameters

  - ##### file: string

    The file to append to.

  #### Returns void

Generated using TypeDoc